com.sun.grid.jgdi.configuration

## Interface Calendar

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    CalendarImpl

      public interface Calendar
      extends GEObject

  Java representation of the cull object CAL_Type defined in sge_all_listsL.template

  Warning: The Calendar class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `java.lang.String` | `getWeekCalendar()` Get the value of the weekCalendar attribute.
    `java.lang.String` | `getYearCalendar()` Get the value of the yearCalendar attribute.
    `boolean` | `isSetName()` Determine if any name attribute is set
    `boolean` | `isSetWeekCalendar()` Determine if any weekCalendar attribute is set
    `boolean` | `isSetYearCalendar()` Determine if any yearCalendar attribute is set
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `void` | `setWeekCalendar(java.lang.String aWeekCalendar)` Set the weekCalendar attribute.
    `void` | `setYearCalendar(java.lang.String aYearCalendar)` Set the yearCalendar attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getParent`

- - ### Method Detail

    - #### setName

          void setName(java.lang.String aName)

      Set the name attribute.
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `GEObject`
      Returns:
        the value of the name attribute

    - #### isSetName

          boolean isSetName()

      Determine if any name attribute is set
      Returns:
        `true` if the name attribute is set

    - #### setYearCalendar

          void setYearCalendar(java.lang.String aYearCalendar)

      Set the yearCalendar attribute.
      Parameters:
        `aYearCalendar` - the new value for the yearCalendar attribute

    - #### getYearCalendar

          java.lang.String getYearCalendar()

      Get the value of the yearCalendar attribute.
      Returns:
        the value of the yearCalendar attribute

    - #### isSetYearCalendar

          boolean isSetYearCalendar()

      Determine if any yearCalendar attribute is set
      Returns:
        `true` if the yearCalendar attribute is set

    - #### setWeekCalendar

          void setWeekCalendar(java.lang.String aWeekCalendar)

      Set the weekCalendar attribute.
      Parameters:
        `aWeekCalendar` - the new value for the weekCalendar attribute

    - #### getWeekCalendar

          java.lang.String getWeekCalendar()

      Get the value of the weekCalendar attribute.
      Returns:
        the value of the weekCalendar attribute

    - #### isSetWeekCalendar

          boolean isSetWeekCalendar()

      Determine if any weekCalendar attribute is set
      Returns:
        `true` if the weekCalendar attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.